/**
 * 通知相关路由
 *
 * @author CaiAoLin
 * @date 2017/6/7
 * @version
 */
import Express from "express";
import NotifyController from "../controllers/notify_controller";

const router = Express.Router();
const notifyController = new NotifyController();

module.exports =function (app) {
    // action定义区域
    router.get('/', notifyController.auth, notifyController.init, notifyController.index);
    router.get('/add', notifyController.auth, notifyController.init, notifyController.add);
    router.get('/modify/:id', notifyController.auth, notifyController.init, notifyController.modify);
    router.get('/delete/:id', notifyController.auth, notifyController.init, notifyController.delete);
    router.get('/release/:id', notifyController.auth, notifyController.init, notifyController.release);

    router.post('/add', notifyController.auth, notifyController.init, notifyController.addMessage);
    router.post('/modify/:id', notifyController.auth, notifyController.init, notifyController.modifyMessage);

    app.use("/notify", router);
};